Refresh the access token
curl --request POST \
--url https://api.hi-doctor.ai/v1/users/token/refresh/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.9Xb2mQ4dLo"
}
'import requests
url = "https://api.hi-doctor.ai/v1/users/token/refresh/"
payload = { "refresh": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.9Xb2mQ4dLo" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refresh: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.9Xb2mQ4dLo'
})
};
fetch('https://api.hi-doctor.ai/v1/users/token/refresh/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.Ksn1w0K6iQ"
}{
"detail": "Token is invalid",
"code": "token_not_valid"
}Account
Refresh the access token
Exchange a valid refresh token for a new access token. Access tokens are short-lived; refresh rather than storing the password.
POST
/
v1
/
users
/
token
/
refresh
/
Refresh the access token
⌘I